<?php
// 连接到 SQLite 数据库
$db = new SQLite3('your_database.db');

// 准备插入语句
$stmt = $db->prepare('INSERT INTO your_table (file_name, file_content) VALUES (:file_name, :file_content)');
$stmt->bindParam(':file_name', $file_name);
$stmt->bindParam(':file_content', $file_content, SQLITE3_BLOB);

// 处理上传的文件
$file_name = $_FILES['file']['name'];
$file_content = file_get_contents($_FILES['file']['tmp_name']);

// 执行插入操作
if ($stmt->execute()) {
    echo "文件内容已成功保存到数据库";
} else {
    echo "保存文件内容到数据库时出错: " . $db->lastErrorMsg();
}

// 关闭数据库连接
$db->close();
?>
